Collection of 8227l firmware (android vers:6-9)

Search This thread

Emilson

Senior Member
Jun 6, 2012
156
44
POLAND
So thats propably a 'JCAC1003' model.
I see exactly the same specifications as my model (1gb ram/16gb memory, gt9xx touchscreen), so you could probably use the same softwares as me but first you would have to get a backup firmware for the exact model or just dump what you have now.

JCAC10003 MT/AC8227L_alps link to russian forum, that you can find some firmwares(but firmwares are probably in russian language)

let me know when you get some backup, so I could give you a hifi version or a subwoofer control if you need.
 
Last edited:
  • Like
Reactions: Cacheet89

Emilson

Senior Member
Jun 6, 2012
156
44
POLAND
Thanks Friend but this only update. I need full android for 8227L demo
So whats the problem with the unit ?
Package contains full 8.1/fake10 system, only two files is missing, preloader and metazone wich you dont have too re-flash if you didnt damaged them.
Its enough to do a full clean flash thru spflashtool by 'download only' mode.
You can use the preloader taken from your unit backup dump if you have it. Or use or another one that matches for your unit.

The '(电脑包)公版海外9216CJ_hw_12ok-v7.3.7.zip' is for SpFlashtool, just remove those Chinese letters before unpacking, flashing.

The 'gongban_9216CJ_hw_12ok-OTA-v7.3.7.zip' is for android upgrade via usb,
similar effect, clean flash thru recovery mode, but the unit would refuse upgrade if package is for different model than original one.
 
Last edited:
  • Like
Reactions: tomek44

Cacheet89

Member
Nov 10, 2022
5
0
So thats propably a 'JCAC1003' model.
I see exactly the same specifications as my model (1gb ram/16gb memory, gt9xx touchscreen), so you could probably use the same softwares as me but first you would have to get a backup firmware for the exact model or just dump what you have now.

JCAC10003 MT/AC8227L_alps link to russian forum, that you can find some firmwares(but firmwares are probably in russian language)
Thanks. On the Russian forum, how do I know which hi-fi firmware is good for my unit? Once installed can I change the language?
Excuse me for my ignorance
 

Emilson

Senior Member
Jun 6, 2012
156
44
POLAND
Actually I dont know whats going on there, cant understand what they mean 😅 im not sure if they have hifi versions, there.
that was just my hint on which side to look for if you want to search for it ;p

Get or make a backup, then you will be able to safely try other versions, i already provided a link to the firmware which has hifi sound options in this thread for example '9216BJ_9216CJ 10.0 XYAUTO_7.3.7_1.2'
 
Last edited:
  • Like
Reactions: Cacheet89

Cacheet89

Member
Nov 10, 2022
5
0
Actually I dont know whats going on there, cant understand what they mean 😅 im not sure if they have hifi versions, there.
that was just my hint on which side to look for if you want to search for it ;p

Get or make a backup, then you will be able to safely try other versions, i already provided a link to the firmware which has hifi sound options in this thread for example '9216BJ_9216CJ 10.0 XYAUTO_7.3.7_1.2'
Would those versions you mention be good for me?
 

tomek44

Member
Nov 11, 2022
5
2
So whats the problem with the unit ?
Package contains full 8.1/fake10 system, only two files is missing, preloader and metazone wich you dont have too re-flash if you didnt damaged them.
Its enough to do a full clean flash thru spflashtool by 'download only' mode.
You can use the preloader taken from your unit backup dump if you have it. Or use or another one that matches for your unit.

The '(电脑包)公版海外9216CJ_hw_12ok-v7.3.7.zip' is for SpFlashtool, just remove those Chinese letters before unpacking, flashing.

The 'gongban_9216CJ_hw_12ok-OTA-v7.3.7.zip' is for android upgrade via usb,
similar effect, clean flash thru recovery mode, but the unit would refuse upgrade if package is for different model than original one.
Friend. I'm having a problem because of the update I did from this link. The update failed and now in sp flash tool I have a message "
---------------------------
Flash Tool
---------------------------
ERROR : S_DL_GET_DRAM_SETTING_FAIL (5054)

[EMI] Obtain DRAM Failed!
[HINT]:
Please check your load matches to your target which is to be downloaded.

How can I fix it? I found this video but I don't know where to get this scatter file for 8227l.
 

Emilson

Senior Member
Jun 6, 2012
156
44
POLAND
??
Scatter file is included with the package. Or you downoaded wrong package..
I hope you read any guide about how to flash the firmware. You can find a lot of threads about it on xda. Tutorials on Youtube

Btw i 8227L isnt your unit model name for sure, thats just general cpu name
 
Last edited:
  • Like
Reactions: tomek44

Darkmaker

Member
Feb 10, 2012
30
3
Athens
Hello guys, is anyone willing to help me or point me to the Wright direction ? I bought a unit for my mondeo that supports comvers+ but I cannot remap the steering wheel keys (I have only volume +,- and back , forward). I tried factory reset but still nothing. What firmware is more propare for me.
20221112_124840.jpg20221112_115826.jpg20221111_182147.jpg20221111_181942.jpg
 

Attachments

  • 20221112_124918.jpg
    20221112_124918.jpg
    4.4 MB · Views: 95

Emilson

Senior Member
Jun 6, 2012
156
44
POLAND
Just found that XYauto released launcher with 21 types of Ui's today.
Download:
Appropriate 1024X600 and 1280X720 - 21sets

UI.png

Thats nice that they made such a big package.👍
I wish there was a mini map, but probably it also means that yt92xx won't get support for android 9 api28 like yt57xx models recently got, so these launchers are the last thing we can get.
 
Last edited:
  • Like
Reactions: Diatomix98

clio2004

New member
Apr 15, 2011
2
0
Hello, I want to update the Android version of my radio but I don't really know which firmware it corresponds to and I don't want to be wrong. Can anybody help me? Thank you

Android 8.1 2G Ram
IMG_20221123_133733.jpg
IMG_20221123_133707.jpg
 

dodo6

Member
Jan 7, 2021
47
5
hi. i need firmware for 9218DH DSP with rds enabled. It's android 6 2019 (api23)-rds worked, I don't have a backup. I updated 9218dsp android 6 2020 and rds disappeared. I tried different firmwares 9218c, 9216b, 9216bj, 9216bf and rds works there but the sound does not work. After installing the DSP in the root directory (any firmware), the system sound and mp3 work, but the fm radio turns off the sound. Or switch to android8.1 (api27)? guide please? when switching from api23 to api27 must the MCU be at least 3.5 or 4.0?? I have an Mcu 3.1 and the transition from Android 6 to 8.1 does not work. I have a backup, a scatter file and a preloader. Thank you

edit: of course root done, on the 9218DH dsp 2020 I activated rds via the terminal command, but it is deactivated after restarting or sleeping

I am also trying to solve it on 4PDA, so far without success
 
Last edited:

Emilson

Senior Member
Jun 6, 2012
156
44
POLAND
hi. i need firmware for 9218DH DSP with rds enabled. It's android 6 2019 (api23)-rds worked, I don't have a backup. I updated 9218dsp android 6 2020 and rds disappeared. I tried different firmwares 9218c, 9216b, 9216bj, 9216bf and rds works there but the sound does not work. After installing the DSP in the root directory (any firmware), the system sound and mp3 work, but the fm radio turns off the sound. Or switch to android8.1 (api27)? guide please? when switching from api23 to api27 must the MCU be at least 3.5 or 4.0?? I have an Mcu 3.1 and the transition from Android 6 to 8.1 does not work. I have a backup, a scatter file and a preloader. Thank you

edit: of course root done, on the 9218DH dsp 2020 I activated rds via the terminal command, but it is deactivated after restarting or sleeping

I am also trying to solve it on 4PDA, so far without success
Are You getting firmwares from http://file.xygala.com/ ?
 

dodo6

Member
Jan 7, 2021
47
5
yes there was 9218dh dsp ver.2020. this update turned off RDS for me. RDS worked for me on 9218dh 2019, this firmware does not work on xygala. I found one 9218 ver.2019 from rds on the web, but rds still doesn't work for me

edit:I tried various libs, service.jar files from 4pda, but rds does not turn on. I also uploaded a new boot.img (with rds implementation, theoretically every 92xx software will enable rds), activated rds through the terminal, but still after sleep or restart rds turns off. also different fm app radios from rds, the station picks up ok, but there it turns off the sound after a few seconds (I can't force the amplifier to remain active)
 
Last edited:

Emilson

Senior Member
Jun 6, 2012
156
44
POLAND
I haven't had a problem with rds yet, so i have no idea for solition.. but I used to check all versions of the firmwares on my 9216/no dsp and I also had no sound using firmwares from 9218, 9260, 9270. so there is probably a difference in sound chips and drivers for it.
I see that the 9270 already has the latest firmware, maybe that would work. I just don't remember which ones and whether they support dsp
(just use your own preloader if you have to use it)
 
Last edited:

dodo6

Member
Jan 7, 2021
47
5
where can i find 9270? is it api23? do you have any instructions on how to switch from api23(android6) to api27(android8.1)? does the MCU have to be min. 3.5 or 4.0? all other versions of android9,10,11 are fake. follow the api. Otherwise, if I didn't have sound, I put the DSP app in the system and there was sound. But I have a DSP board, but only Android sounds and mp3. The radio played for a few seconds and turned off. yes, my preloader, I tried other things and revived the device 3 times through test points :) if you have a link to 9270, write. thank you
 

Emilson

Senior Member
Jun 6, 2012
156
44
POLAND
I'm at work right now, I don't have much time to tell you everything I know right now. you have all firmwares on http://file.xygala.com server.
I think that maybe you could change the rds setting permanently in the build.prop file, not sure. I'll check it out when I get home from work.
I have a preloader suitable for api23 android 6(fake8.1/8.1go) and a second preloader suitable for api27 android 8.1(fake9.1/10.1/11) that work with my 9216.

- firmware: 9270(00019-v001)_10.0_7.3.7 but i dont remeber if it support dsp.
- I posted my stock preloader file working with api27 here: rom-firmware-brick-recovery-for-7-android-head-unit-ac8227l-yt9217-yt9218-1-16gb
If 9270 doesnt help you, try this preloader with firmwares dedicated for 9218 xyauto but with the newest releases like at least 9.1 that you can find it on xyauto server. I see that they mentioned that 9260 is compatible with 9218.
I think 9218 may get 10.1 with 7.3.7 update soon, because a lot of folders with old firmware are empty.

In case this preloader isnt suitable with your motherboard, You know how to revive your HU.

Mainly i would try with the firmwares for your model from the catalogs as in the screenshot

20221202_173937.jpg
 
Last edited:

Top Liked Posts